import java.awt.Canvas;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.image.BufferedImage;
import java.awt.image.DataBufferInt;
import java.awt.image.DirectColorModel;
import java.awt.image.Raster;
import java.awt.image.WritableRaster;
import java.util.Hashtable;

public final class Class151_Sub2_Sub3_Sub1 extends Class151_Sub2_Sub3 {

   Image anImage10712;


   public final int method14945(int var1, int var2) {
      Graphics var3 = this.aCanvas10284.getGraphics();
      if(var3 == null) {
         return 0;
      } else {
         var3.drawImage(this.anImage10712, var1, var2, this.aCanvas10284);
         return 0;
      }
   }

   void method15836(byte var1) {
      super.method15836((byte)27);
      DataBufferInt var2 = new DataBufferInt(this.anIntArray10287, this.anIntArray10287.length);
      DirectColorModel var3 = new DirectColorModel(32, 16711680, '\uff00', 255);
      WritableRaster var4 = Raster.createWritableRaster(var3.createCompatibleSampleModel(-342532409 * this.anInt10288, this.anInt10283 * 623363725), var2, (Point)null);
      this.anImage10712 = new BufferedImage(var3, var4, false, new Hashtable());
   }

   void method15839() {
      super.method15836((byte)32);
      DataBufferInt var1 = new DataBufferInt(this.anIntArray10287, this.anIntArray10287.length);
      DirectColorModel var2 = new DirectColorModel(32, 16711680, '\uff00', 255);
      WritableRaster var3 = Raster.createWritableRaster(var2.createCompatibleSampleModel(-342532409 * this.anInt10288, this.anInt10283 * 623363725), var1, (Point)null);
      this.anImage10712 = new BufferedImage(var2, var3, false, new Hashtable());
   }

   void method15838() {
      super.method15836((byte)21);
      DataBufferInt var1 = new DataBufferInt(this.anIntArray10287, this.anIntArray10287.length);
      DirectColorModel var2 = new DirectColorModel(32, 16711680, '\uff00', 255);
      WritableRaster var3 = Raster.createWritableRaster(var2.createCompatibleSampleModel(-342532409 * this.anInt10288, this.anInt10283 * 623363725), var1, (Point)null);
      this.anImage10712 = new BufferedImage(var2, var3, false, new Hashtable());
   }

   public void method10() {}

   public int method14944() {
      return this.method14945(0, 0);
   }

   public void method148() {}

   public int method14948() {
      return this.method14945(0, 0);
   }

   Class151_Sub2_Sub3_Sub1(Class545_Sub3 var1, Canvas var2, int var3, int var4) {
      super(var1, var2, var3, var4);
      new Rectangle();
      this.method15836((byte)21);
   }

   public void method150() {}

   public final int method14949(int var1, int var2) {
      Graphics var3 = this.aCanvas10284.getGraphics();
      if(var3 == null) {
         return 0;
      } else {
         var3.drawImage(this.anImage10712, var1, var2, this.aCanvas10284);
         return 0;
      }
   }
}
